gnutls_x509_crt_get_extension_by_oid2(3)

NAME
gnutls_x509_crt_get_extension_by_oid2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_extension_by_oid2(gnutls_x509_crt_t cert, const char * oid, unsigned indx, gnutls_datum_t * output, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

const char * oid
    holds an Object Identified in null terminated string

unsigned indx
    In case multiple same OIDs exist in the extensions, this specifies which to send. Use (0) to get the first one.

gnutls_datum_t * output
    will hold the allocated extension data

unsigned int * critical
    will be non-zero if the extension is marked as critical

DESCRIPTION
This function will return the extension specified by the OID in the certificate. The extensions will be returned as binary data DER encoded, in the provided buffer.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. If the certificate does not contain the specified extension GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
3.3.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/